Subject: Re: bug#38231: ido does not respect `ido-read-file-name-non-ido` on directory reads

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 17 Nov 2019 10:41:09 +0100

JD Smith <[email-masked]> writes:

> While working with the tramp maintainer to implement `tramp-rename-files`
> (which ido interferes with), I’ve found that ido does not respect
> `ido-read-file-name-non-ido` when a directory is being read instead of a
> filename.  This happens for example if the `read-file-name` predicate is
> `file-directory-p`.  I can’t see a use for ignoring specifically named commands
> for which the user wishes to disable ido simply because a directory instead of
> filename is being read.  So this looks like a bug to me. 

Makes sense.  I've now made a change along the lines suggested by your
code snippet.  (In the future, please send patches -- they're easier to
deal with.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no